Subject: Protocol Document TML Description

From: "Joel M. Halpern" <[email-masked]>
Date: Thu, 9 Jun 2005 09:09:15 -0400

The protocol document, in section 3.1.2 states:

    However, since each TML is standardized, interoperability is
    guaranteed as long as both endpoints support the same TML.

That is not out usual definition of interoperability.
In order to actually ensure interoperability, we must have (at least) one 
mandatory to implement TML.
This document should say that.

I believe that the mandatory to implement TML will need to include 
congestion control for both the control and FE-CE data paths.  Given the 
(quite reasonable) objections that have been raised to shipping the data 
packets over TCP or SCTP, it seems to me that the only reasonable choice 
for the mandatory to implement TML is TCP or SCTP for the control aspect, 
and DCCP for the data forwarding aspect.

Yours,
Joel M. Halpern